#~/bin/bash

if [ ! $# == 1 ] ; then
  echo "Usage: $0 output_directory"
  exit
fi

outdir=$1
bps=$(ls $outdir/*.bps)
t=($(ls $outdir/*.bps))
if (( ${#t[*]} > 1 ))
  then
  echo "BIG PROBLEM: more than one bps file"
  exit
fi

numchunks=$(ls $outdir/dna.*.x3|wc -l)


nums=`seq $numchunks`
files=$(for I in $nums;do echo $outdir/dna.$I.x3;done)
python processx3files.py $outdir $bps $outdir/$outdir.npz 0.0048 $files
python examinex3.py $outdir/$outdir $outdir/$outdir.npz
python flex3.py $outdir/$outdir $outdir/$outdir.npz
python comparex3.py $outdir/comp 5000pbc/5000pbc.npz $outdir/$outdir.npz
python comparePercent.py $outdir/comp 5000pbc/5000pbc.npz $outdir/$outdir.npz


